Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.ax25
Class Connector.PortStats

    java.lang.Object
      org.ka2ddo.ax25.Connector.PortStats

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Enclosing class:
  Connector

    public static class Connector.PortStats

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A data structure recording throughput statistics for its containing PortConnector instance.

See Also:
  Serialized Form

Field Summary
`int` | `numBadRcvFrames` Running counter of defective received frames.
`int` | `numBadXmtFrames` Running counter of transmission failures.
`int` | `numDataOverrunLosses` Number of times data loss (due to overruns) was detected.
`long` | `numRcvBytes` Running counter of received bytes on this PortConnector.
`int` | `numRcvFrames` Running counter of received frames on this PortConnector.
`long` | `numXmtBytes` Running counter of transmitted bytes on this PortConnector.
`int` | `numXmtFrames` Running counter of transmitted frames on this PortConnector.

Constructor Summary
`Connector.PortStats()`

Method Summary
`void` | `clear()` Reset all the statistics counters to zero.
`void` | `clearGoodCounts()` Reset only the counters of successful operations.
`Connector.PortStats` | `dup()` Make a deep copy of this PortStats object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numRcvFrames

    public int numRcvFrames

  Running counter of received frames on this PortConnector.

### numRcvBytes

    public long numRcvBytes

  Running counter of received bytes on this PortConnector.

### numXmtFrames

    public int numXmtFrames

  Running counter of transmitted frames on this PortConnector.

### numXmtBytes

    public long numXmtBytes

  Running counter of transmitted bytes on this PortConnector.

### numBadRcvFrames

    public int numBadRcvFrames

  Running counter of defective received frames.

### numBadXmtFrames

    public int numBadXmtFrames

  Running counter of transmission failures.

### numDataOverrunLosses

    public int numDataOverrunLosses

  Number of times data loss (due to overruns) was detected.

Constructor Detail

### Connector.PortStats

    public Connector.PortStats()

Method Detail

### clear

    public void clear()

  Reset all the statistics counters to zero.

### clearGoodCounts

    public void clearGoodCounts()

  Reset only the counters of successful operations.

### dup

    public Connector.PortStats dup()

  Make a deep copy of this PortStats object.

  Returns:
    duplicate PortStats object with counter values as of the time dup() was called

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD